libzypp 17.37.10

zyppng::AsyncQueueBase Class Reference

`#include <zypp-core/zyppng/thread/asyncqueue.h>`

Inheritance diagram for zyppng::AsyncQueueBase:

## Public Member Functions
virtual | ~AsyncQueueBase ()
void | addWatch (AsyncQueueWatch &watch)
void | removeWatch (AsyncQueueWatch &watch)
void | notifyWatches ()

## Private Attributes
std::set< AsyncQueueWatch * > | _watches
std::recursive_mutex | _watchLock

## Detailed Description

Definition at line 25 of file asyncqueue.h.

## Constructor & Destructor Documentation

## ◆ ~AsyncQueueBase()

zyppng::AsyncQueueBase::~AsyncQueueBase | ( |  | ) |
| virtual

Definition at line 9 of file asyncqueue.cc.

## Member Function Documentation

## ◆ addWatch()

void zyppng::AsyncQueueBase::addWatch | ( | AsyncQueueWatch & | watch | ) |

Definition at line 12 of file asyncqueue.cc.

## ◆ removeWatch()

void zyppng::AsyncQueueBase::removeWatch | ( | AsyncQueueWatch & | watch | ) |

Definition at line 18 of file asyncqueue.cc.

## ◆ notifyWatches()

void zyppng::AsyncQueueBase::notifyWatches | ( |  | ) |

Definition at line 24 of file asyncqueue.cc.

## Member Data Documentation

## ◆ _watches

std::set<AsyncQueueWatch *> zyppng::AsyncQueueBase::_watches
| private

Definition at line 34 of file asyncqueue.h.

## ◆ _watchLock

std::recursive_mutex zyppng::AsyncQueueBase::_watchLock
| private

Definition at line 35 of file asyncqueue.h.

The documentation for this class was generated from the following files:

- zypp-core/zyppng/thread/asyncqueue.h
- zypp-core/zyppng/thread/asyncqueue.cc